Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas
Class ServerConstants

    java.lang.Object
      org.wso2.wsas.ServerConstants

    public final class ServerConstants

extends java.lang.Object

WSO2 WSAS constants

Nested Class Summary
`static class` | `ServerConstants.Axis2ParameterNames`
`static class` | `ServerConstants.ContextPaths`
`static class` | `ServerConstants.HTTPConstants`
`static class` | `ServerConstants.Logging`
`static class` | `ServerConstants.Security`

Field Summary
`static java.lang.String` | `ADMIN_LOGGED_IN`
`static java.lang.String` | `ADMIN_MODULE`
`static java.lang.String` | `ADMIN_ROLE`
`static java.lang.String` | `ADMIN_SERVICE_GROUP`
`static java.lang.String` | `AXIS2_HOME`
`static java.lang.String` | `CODEGEN_SERVICE_GROUP`
`static java.lang.String` | `CONFIGURATION_CONTEXT`
`static java.lang.String` | `DERBY_HOME`
`static java.lang.String` | `FILE_RESOURCE_MAP`
`static java.lang.String` | `GENERAL_SERVICES`
`static java.lang.String` | `GENERATED_PAGES`
`static java.lang.String` | `GLOBAL_ADMIN_SERVICE`
`static java.lang.String` | `HTTP_TRANSPORT`
`static java.lang.String` | `HTTPS_TRANSPORT`
`static java.lang.String` | `SERVER_NAME`
`static java.lang.String` | `SERVER_REGISTERED`
`static java.lang.String` | `SERVICE_PATH`
`static java.lang.String` | `SERVICE_TYPE`
`static java.lang.String` | `SERVICE_TYPE_DB`
`static java.lang.String` | `SERVICE_TYPE_EJB`
`static java.lang.String` | `SERVICE_TYPE_OTHER`
`static java.lang.String` | `SERVICE_TYPE_POJO`
`static java.lang.String` | `SERVICE_TYPE_SPRING`
`static java.lang.String` | `STATISTICS_MODULE`
`static java.lang.String` | `STATISTICS_SERVICE_GROUP`
`static java.lang.String` | `STS_NAME`
`static java.lang.String` | `TRACER_MODULE`
`static java.lang.String` | `TRACER_SERVICE_GROUP`
`static java.lang.String` | `TRACING_SERVICE_FILTERS`
`static java.lang.String` | `TRACING_SERVICE_GROUP_FILTERS`
`static java.lang.String` | `WEB_RESOURCE_LOCATION`
`static java.lang.String` | `WORK_DIR`
`static java.lang.String` | `WSDL_CONVERTER`
`static java.lang.String` | `WSDL_VIEW`
`static java.lang.String` | `WSO2WSAS_ADMIN_PASSWORD`
`static java.lang.String` | `WSO2WSAS_HB_CONFIG_KEY`
`static java.lang.String` | `WSO2WSAS_HOME`
`static java.lang.String` | `WSO2WSAS_INSTANCE`
`static java.lang.String` | `WSO2WSAS_SERVER_XML`
`static java.lang.String` | `WSO2WSAS_START_TIME`
`static java.lang.String` | `WSO2WSAS_WEB_XML_KEY`
`static java.lang.String` | `WSO2WSAS_XML_NAMESPACE`
`static java.lang.String` | `XML_VALIDATOR_GROUP`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WSO2WSAS_HOME

    public static final java.lang.String WSO2WSAS_HOME

See Also:
  Constant Field Values

### WSO2WSAS_SERVER_XML

    public static final java.lang.String WSO2WSAS_SERVER_XML

See Also:
  Constant Field Values

### WSO2WSAS_START_TIME

    public static final java.lang.String WSO2WSAS_START_TIME

See Also:
  Constant Field Values

### WSO2WSAS_ADMIN_PASSWORD

    public static final java.lang.String WSO2WSAS_ADMIN_PASSWORD

See Also:
  Constant Field Values

### AXIS2_HOME

    public static final java.lang.String AXIS2_HOME

See Also:
  Constant Field Values

### DERBY_HOME

    public static final java.lang.String DERBY_HOME

See Also:
  Constant Field Values

### GLOBAL_ADMIN_SERVICE

    public static final java.lang.String GLOBAL_ADMIN_SERVICE

See Also:
  Constant Field Values

### GENERAL_SERVICES

    public static final java.lang.String GENERAL_SERVICES

See Also:
  Constant Field Values

### HTTP_TRANSPORT

    public static final java.lang.String HTTP_TRANSPORT

See Also:
  Constant Field Values

### HTTPS_TRANSPORT

    public static final java.lang.String HTTPS_TRANSPORT

See Also:
  Constant Field Values

### SERVICE_PATH

    public static final java.lang.String SERVICE_PATH

See Also:
  Constant Field Values

### SERVICE_TYPE

    public static final java.lang.String SERVICE_TYPE

See Also:
  Constant Field Values

### SERVICE_TYPE_EJB

    public static final java.lang.String SERVICE_TYPE_EJB

See Also:
  Constant Field Values

### SERVICE_TYPE_POJO

    public static final java.lang.String SERVICE_TYPE_POJO

See Also:
  Constant Field Values

### SERVICE_TYPE_SPRING

    public static final java.lang.String SERVICE_TYPE_SPRING

See Also:
  Constant Field Values

### SERVICE_TYPE_DB

    public static final java.lang.String SERVICE_TYPE_DB

See Also:
  Constant Field Values

### SERVICE_TYPE_OTHER

    public static final java.lang.String SERVICE_TYPE_OTHER

See Also:
  Constant Field Values

### XML_VALIDATOR_GROUP

    public static final java.lang.String XML_VALIDATOR_GROUP

See Also:
  Constant Field Values

### WSDL_CONVERTER

    public static final java.lang.String WSDL_CONVERTER

See Also:
  Constant Field Values

### WSDL_VIEW

    public static final java.lang.String WSDL_VIEW

See Also:
  Constant Field Values

### ADMIN_SERVICE_GROUP

    public static final java.lang.String ADMIN_SERVICE_GROUP

See Also:
  Constant Field Values

### STATISTICS_SERVICE_GROUP

    public static final java.lang.String STATISTICS_SERVICE_GROUP

See Also:
  Constant Field Values

### TRACER_SERVICE_GROUP

    public static final java.lang.String TRACER_SERVICE_GROUP

See Also:
  Constant Field Values

### CODEGEN_SERVICE_GROUP

    public static final java.lang.String CODEGEN_SERVICE_GROUP

See Also:
  Constant Field Values

### ADMIN_MODULE

    public static final java.lang.String ADMIN_MODULE

See Also:
  Constant Field Values

### TRACER_MODULE

    public static final java.lang.String TRACER_MODULE

See Also:
  Constant Field Values

### STATISTICS_MODULE

    public static final java.lang.String STATISTICS_MODULE

See Also:
  Constant Field Values

### ADMIN_LOGGED_IN

    public static final java.lang.String ADMIN_LOGGED_IN

See Also:
  Constant Field Values

### SERVER_REGISTERED

    public static final java.lang.String SERVER_REGISTERED

See Also:
  Constant Field Values

### WSO2WSAS_WEB_XML_KEY

    public static final java.lang.String WSO2WSAS_WEB_XML_KEY

See Also:
  Constant Field Values

### WSO2WSAS_XML_NAMESPACE

    public static final java.lang.String WSO2WSAS_XML_NAMESPACE

See Also:
  Constant Field Values

### ADMIN_ROLE

    public static final java.lang.String ADMIN_ROLE

See Also:
  Constant Field Values

### WSO2WSAS_HB_CONFIG_KEY

    public static final java.lang.String WSO2WSAS_HB_CONFIG_KEY

See Also:
  Constant Field Values

### TRACING_SERVICE_GROUP_FILTERS

    public static final java.lang.String TRACING_SERVICE_GROUP_FILTERS

See Also:
  Constant Field Values

### TRACING_SERVICE_FILTERS

    public static final java.lang.String TRACING_SERVICE_FILTERS

See Also:
  Constant Field Values

### FILE_RESOURCE_MAP

    public static final java.lang.String FILE_RESOURCE_MAP

See Also:
  Constant Field Values

### WORK_DIR

    public static final java.lang.String WORK_DIR

See Also:
  Constant Field Values

### WSO2WSAS_INSTANCE

    public static final java.lang.String WSO2WSAS_INSTANCE

See Also:
  Constant Field Values

### SERVER_NAME

    public static final java.lang.String SERVER_NAME

See Also:
  Constant Field Values

### WEB_RESOURCE_LOCATION

    public static final java.lang.String WEB_RESOURCE_LOCATION

See Also:
  Constant Field Values

### GENERATED_PAGES

    public static final java.lang.String GENERATED_PAGES

See Also:
  Constant Field Values

### CONFIGURATION_CONTEXT

    public static final java.lang.String CONFIGURATION_CONTEXT

See Also:
  Constant Field Values

### STS_NAME

    public static final java.lang.String STS_NAME

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD